#!/bin/sh

objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
if [ "$objformat" = "aout" ]; then
	exit 0;
fi

cat > dladdr-test.c <<EOF
#include <dlfcn.h>
int main()
{
	Dl_info dlinfo;
	if (dladdr((void *)&main, &dlinfo) == 0)
		printf("no\n");
	else
		printf("yes\n");
	return 0;
}
EOF

${CC-cc} dladdr-test.c #> /dev/null 2>&1
if [ `./a.out` != "yes" ] ; then
	echo "Your ELF loader (ld-elf.so.1) doesn't appear to be up-to-date."
	echo "See http://www.freebsd.org/java/jdk.html for more details."
	exit 1
fi
